<mat-drawer-container
  class="component-info-drawer-container"
  hasBackdrop
  (backdropClick)="closeComponentInfoDrawer()"
>
  <mat-drawer
    class="component-info-drawer"
    #componentInfoDrawer
    position="end"
    mode="side"
  >
    <app-component-more-info
      [componentInfo]="componentInfo"
      (closeDrawer)="closeComponentInfoDrawer()"
    ></app-component-more-info>
  </mat-drawer>

  <mat-drawer-content>
    <div id="template-preview-page">
      <div class="d-flex align-items-center">
        <h2>{{ previewTemplate.title }}</h2>

        <mat-chip class="slabs-chip"> preview </mat-chip>
      </div>

      <mat-tab-group mat-stretch-tabs="false" mat-align-tabs="start">
        <mat-tab [label]="'Data Space architecture'">
          <div class="d-flex">
            <app-context-tree-menu
              [isView]="true"
              [nodeList]="_nodeList"
            ></app-context-tree-menu>

            <div class="ds-graph-chart-wrapper spacer">
              <mat-toolbar class="mat-elevation-z3">
                <button
                  class="opacity-0"
                  mat-icon-button
                  aria-label="Icon-button with Arrow back icon"
                >
                  <mat-icon aria-hidden="false" aria-label="Arrow back icon">
                    arrow_back
                  </mat-icon>
                </button>
                <span>
                  <app-breadcrumb></app-breadcrumb>
                </span>

                <span class="spacer"></span>
              </mat-toolbar>

              @if (pageContentType === pageContentTypes.GRAPH_CHART) {
                <app-data-space-graph-chart
                  [isTemplatePreview]="isTemplatePreview"
                  [dataSpace]="dataSpace"
                ></app-data-space-graph-chart>
              } @else if (
                pageContentType === pageContentTypes.COMPONENTS_TABLE
              ) {
                <app-category-components-table
                  [isDataSpaceView]="true"
                  [isTemplatePreview]="true"
                  [category]="tableCategory"
                  (componentInfoShowEvent)="openComponentInfoDrawer($event)"
                ></app-category-components-table>
              }
            </div>
          </div>
        </mat-tab>

        <mat-tab label="Information">
          <div class="d-flex">
            <div class="info-descr-wrapper w-50">
              <h3>Description</h3>
              <p>
                This template significantly expedites the process of building a
                Data Space and conducting testing by providing a ready-to-use
                foundation. By eliminating the need to start from scratch, you
                bypass the time-consuming task of setting up basic components
                and configurations. Instead, you can immediately dive into the
                heart of your experimentation, maximizing productivity and
                accelerating your workflow. With this template, you can rapidly
                iterate through different data configurations, experiment
                setups, and analytical approaches. The modular design allows for
                seamless integration of additional components and
                functionalities as needed, facilitating flexibility and
                customization tailored to your specific requirements.
                Additionally, the streamlined nature of this template reduces
                the learning curve for new team members or collaborators. They
                can quickly familiarize themselves with the setup and focus
                their efforts on contributing to the experimentation process
                rather than grappling with complex infrastructure intricacies.
              </p>
            </div>

            <div class="info-table-wrapper w-50">
              <table
                mat-table
                [dataSource]="infoTableDataSource"
                class="info-table"
                aria-label="Template information table"
              >
                <ng-container matColumnDef="property">
                  <th *matHeaderCellDef>Property</th>
                  <td mat-cell *matCellDef="let element">
                    {{ element.property | titlecase }}
                  </td>
                </ng-container>

                <ng-container matColumnDef="value">
                  <th *matHeaderCellDef>Value</th>
                  <td mat-cell *matCellDef="let element">
                    @if (element.property !== "license") {
                      {{ element.value }}
                    } @else {
                      <a
                        href="http://www.google.com"
                        target="_blank"
                        rel="noopener noreferrer"
                      >
                        {{ element.value }}
                      </a>
                    }
                  </td>
                </ng-container>

                <tr
                  mat-row
                  *matRowDef="let row; columns: infoTableColumns"
                ></tr>
              </table>
            </div>
          </div>
        </mat-tab>
      </mat-tab-group>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
